al_trace(3)

NAME
al_trace - Outputs a debugging trace message. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void al_trace(const char *msg, ...);

DESCRIPTION
Outputs a debugging trace message, using a printf() format string given in ASCII. If you have installed a custom trace handler it uses that, or if the environment variable ALLEGRO_TRACE is set it writes into the file specified by the environment, otherwise it writes the message to "allegro.log" in the current directory. You will usually want to use the TRACE() macro instead of calling this function directly.

SEE ALSO
TRACE(3), al_assert(3), register_trace_handler(3)